> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Human-Readable Transaction Summary

` GET /blockscout/transactions/{transaction_hash}/summary `

Get Human-Readable Transaction Summary

## Servers

- ` https://data-api.b3.fun/ ` — B3 Data API - Multi-Chain Proxy

## Parameters

### ` transaction_hash ` (path, required)

- ` value `: type ` string `

## Responses

### ` 200 ` — Human-Readable Transaction Summary

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` success `, ` data `

  - ` success `: type ` boolean `

    - example: ` true `

  - ` data `: type ` object `

    - ` summaries `: type ` array `

      - ` array item `: type ` object `

        - Required fields: ` summary_template `, ` summary_template_variables `

        - ` summary_template `: type ` string ` — Summary template

          - example: ` "{action_type} of {amount} {token}" `

        - ` summary_template_variables `: type ` object `

          - Required fields: ` action_type `, ` amount `, ` token `

          - ` action_type `: type ` object `

            - Required fields: ` type `, ` value `

            - ` type `: type ` string ` — Variable type

              - example: ` "string" `

            - ` value `: type ` string ` — Action Type

              - example: ` "Registered withdrawal of" `

          - ` amount `: type ` object `

            - Required fields: ` type `, ` value `

            - ` type `: type ` string ` — Currency type

              - example: ` "currency" `

            - ` value `: type ` string ` — Value

              - example: ` "0.195999999980484004" `

          - ` token `: type ` object `

            - Required fields: ` type `, ` value `

            - ` type `: type ` string ` — Type

              - example: ` "token" `

            - ` value `: type ` object `

              - Required fields: ` address `, ` circulating_market_cap `, ` decimals `, ` exchange_rate `, ` holders `, ` icon_url `, ` name `, ` symbol `, ` total_supply `, ` type `, ` volume_24h `

              - ` address `: type ` string ` — Token Address

                - example: ` "0xBEEF69Ac7870777598A04B2bd4771c71212E6aBc" `

              - ` circulating_market_cap `: type ` string ` — Token circulating market cap

                - example: ` "0.0" `

              - ` decimals `: type ` string ` — Token decimals

                - example: ` "18" `

              - ` exchange_rate `: type ` string ` — Token exchange rate

                - example: ` "2890.96" `

              - ` holders `: type ` string ` — Token holders amount

                - example: ` "2999" `

              - ` icon_url `: type ` string ` — Token image URL 

                - example: ` "https://assets.coingecko.com/coins/images/39410/small/Steakhouse_logo-05.jpg?1722053893" `

              - ` name `: type ` string ` — Token name

                - example: ` "Steakhouse Resteaking Vault" `

              - ` symbol `: type ` string ` — Token symbol

                - example: ` "steakLRT" `

              - ` total_supply `: type ` string ` — Token total supply

                - example: ` "9710057205959239302188" `

              - ` type `: type ` string ` — Token type

                - example: ` "ERC-20" `

              - ` volume_24h `: type ` string ` — Token trading volume for past 24h

                - example: ` "24298.765344836862" `

### ` 400 ` — Bad Input Parameter

## Request examples

### cURL

```curl
curl -X GET 'https://data-api.b3.fun//blockscout/transactions/string/summary'
```

### JavaScript

```javascript
const response = await fetch('https://data-api.b3.fun//blockscout/transactions/string/summary', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.get('https://data-api.b3.fun//blockscout/transactions/string/summary')
print(response.json())
```